Favorites

Add Favorite

POST
/favorites

Add a new favorite.

Friend groups are named group_0 through group_3. Avatar and World groups are named avatars1 to avatars4 and worlds1 to worlds4.

You cannot add people whom you are not friends with to your friends list. Destroying a friendship removes the person as favorite on both sides.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X POST "https://api.vrchat.cloud/api/1/favorites" \  -H "Content-Type: application/json" \  -d '{    "type": "avatar",    "favoriteId": "avtr_912d66a4-4714-43b8-8407-7de2cafbf55b",    "tags": [      "avatars1"    ]  }'
{
  "favoriteId": "string",
  "id": "fvrt_9568d189-8776-44a5-a8c8-defc981e44de",
  "tags": [
    "string"
  ],
  "type": "avatar"
}
{
  "error": {
    "message": "You already have that friend favorited",
    "status_code": 400
  }
}
{
  "error": {
    "message": "you are not friends with that userǃ",
    "status_code": 403
  }
}